#!/usr/bin/perl

# Adds an id to a Semcor file which uniquely identifies each word
# that has an lexsn (word to be disambiguated)
# Usage: perl addIdToSemcor.pl < semcor > semcor.id
$id = 1;

while (<STDIN>) {
    if(/lexsn=/) {
      s/lexsn=/id=ID\.$id lexsn=/;
      $id++;
    }
    print $_;
}
